﻿Type=StaticCode
Version=5.95
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public AppTitle,NavDrawerSubTitle,AppSubTitle,MD_Normal_Title,MD_Normal_Content,MD_Back_Title,MD_Back_Content,MD_Menu_Title,MD_Menu_Content As String
	Public backgroundcolor,coloraccent,colorprimary,textcolor,buttoncolor,pressedcolor As Int

End Sub

Sub initialize_variables 
	AppTitle = "app title"
	AppSubTitle = ""
	NavDrawerSubTitle = ""
	backgroundcolor  = Colors.RGB(238,238,238)
	coloraccent  = Colors.Black'0xFFFF1744'Colors.RGB(83,109,254)
	colorprimary  = 0xFF0277BD'Colors.rgb(63,81,181)
	MD_Normal_Title = ""
	MD_Normal_Content = ""
	MD_Back_Title = "Exit"
	MD_Back_Content = "Do you want to exit the application?"
	MD_Menu_Title = ""
	MD_Menu_Content = ""
	pressedcolor = 0x3AD7D7D7
End Sub

Sub Check_Orientation(act As Activity)As String
	Dim Orientation As String
	If act.Width > act.Height Then
		Orientation = "Landscape"
	Else
		Orientation = "Potrait"
	End If
	Return Orientation
End Sub

Sub Action_Bar_Visibility(ab As ACToolBarLight,Visibility As Boolean)
	
		For i = 0 To ab.Menu.Size-1
			Dim act As ACMenuItem = ab.Menu.GetItem(i)
			act.Visible = Visibility
		Next
'	End If
End Sub

Sub GetDeviceId As String
   Dim r As Reflector
   Dim Api As Int
   Api = r.GetStaticField("android.os.Build$VERSION", "SDK_INT")
   If Api < 9 Then
      'Old device
      If File.Exists(File.DirInternal, "__id") Then
         Return File.ReadString(File.DirInternal, "__id")
      Else
         Dim id As Int
         id = Rnd(0x10000000, 0x7FFFFFFF)
         File.WriteString(File.DirInternal, "__id", id)
         Return id
      End If
   Else
      'New device
      Return r.GetStaticField("android.os.Build", "SERIAL")
   End If
End Sub

'Sets the padding of a view
'v = view
'Left, Top, Right, Bottom padding values in pixels
Sub setPadding(v As View, Left As Int, Top As Int, Right As Int, Bottom As Int)
    Dim jo = v As JavaObject
    jo.RunMethod("setPadding", Array As Object(Left, Top, Right, Bottom))
End Sub

Sub HtmlDecoder(encoded As String) As String
   Dim sb As StringBuilder
   sb.Initialize
   Dim xmlEntities As Map = CreateMap("quot": QUOTE, "lt": "<", "gt": ">", "amp": "&")
   Dim m As Matcher = Regex.Matcher("&(#\d+|quot|lt|gt|amp);", encoded)
   Dim index As Int
   Do While m.Find
     sb.Append(encoded.SubString2(index, m.GetStart(0)))
     index = m.GetEnd(0)
     If xmlEntities.ContainsKey(m.Group(1)) Then
       sb.Append(xmlEntities.Get(m.Group(1)))
     Else
       Dim rawCodepoint As String = m.Group(1).SubString(1)
       If IsNumber(rawCodepoint) Then
         sb.Append(Chr(rawCodepoint))
       Else
         sb.Append(m.Match)
       End If
     End If
   Loop
   If index < encoded.Length Then sb.Append(encoded.SubString(index))
   Return sb.ToString
End Sub

Sub ChangeItemHeight(ItemPanel As Panel, NewHeight As Int)
	'Changes the height of the specified panel
	Dim jPnl As JavaObject = ItemPanel
	Dim jLP As JavaObject = jPnl.RunMethod("getLayoutParams", Null)
	jLP.SetField("height", NewHeight)
	jPnl.RunMethod("setLayoutParams", Array As Object(jLP))
End Sub

#IgnoreWarnings: 12
Sub CheckConnection As Boolean
    Dim r As Reflector
   
    r.Target = r.GetContext
    r.Target = r.RunMethod2("getSystemService", "connectivity", "java.lang.String")
    r.Target = r.RunMethod("getActiveNetworkInfo")
   
    If r.Target <> Null Then
        Return r.RunMethod("isConnectedOrConnecting")
    End If
   
    Return False
End Sub


#IgnoreWarnings: 2

Sub setCornerRadii(v As View, Rx_TopLeft As Float, Ry_TopLeft As Float, Rx_TopRight As Float, Ry_TopRight As Float, Rx_BottomRight As Float, Ry_BottomRight As Float, Rx_BottomLeft As Float, Ry_BottomLeft As Float)
    Dim jo As JavaObject = v.Background
    If v.Background Is ColorDrawable Or v.Background Is GradientDrawable Then
        jo.RunMethod("setCornerRadii", Array As Object(Array As Float(Rx_TopLeft, Ry_TopLeft, Rx_TopRight, Ry_TopRight, Rx_BottomRight, Ry_BottomRight, Rx_BottomLeft, Ry_BottomLeft)))
    End If
End Sub


